ROTT Time Now
ROTT is the abbreviation of Rothera Research Station Time. Time zone offset of ROTT is UTC-03. Rothera Research Station Time is 3 hours behind from the UTC universal time. ROTT current date is 12th Thursday November 2026. Current time in ROTT (ROTT).
ROTT Time
16:05:05
12 November 2026 Thursday
ROTT is the abbreviation for Rothera Research Station Time. It is the time standard valid for the Rothers Research Station located in South Antarctic circle and being a part of British territory of Antarctica. Rothera Research Station Time is 3 hours behind the UTC universal time.
What time is it in Rothera Research Station Time now? It is 16:05:05 right now.
Rothera Research Station Time Date and Time Now in Various Formats
| Date Time Format | ROTT Date Time Now |
|---|---|
| UTC | 2026-11-12T19:05:05Z |
| ISO-8601 | 2026-11-12T16:05:05-0300 |
| RFC 2822 | Thu, 12 Nov 2026 16:05:05 -0300 |
| RFC 850 | Thursday, 12-Nov-26 16:05:05 ROTT |
| RFC 1036 | Thu, 12 Nov 26 16:05:05 -0300 |
| RFC 1123 | Thu, 12 Nov 2026 16:05:05 -0300 |
| RFC 822 | Thu, 12 Nov 26 16:05:05 -0300 |
| RFC 3339 | 2026-11-12T16:05:05-03:00 |
| ATOM | 2026-11-12T16:05:05-03:00 |
| COOKIE | Thursday, 12-Nov-2026 16:05:05 ROTT |
| RSS | Thu, 12 Nov 2026 16:05:05 -0300 |
| W3C | 2026-11-12T16:05:05-03:00 |
| Unix Epoch | 1794510305 |
| YYYY-DD-MM HH:MM:SS | 2026-12-11 16:05:05 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-12-11 04:05:05 PM |
| DD-MM-YYYY HH:MM:SS | 12-11-2026 16:05:05 |
| MM-DD-YYYY HH:MM:SS | 11-12-2026 16:05:05 |